{"openapi":"3.1.0","info":{"title":"netcup API","version":"2026.0921.153936","description":"Generated from the Api V1 route tree."},"servers":[{"url":"https:\/\/api.netcup.com","description":"netcup API"}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"DnsRecordInput":{"type":"object","required":["name","type","rdata","ttl"],"properties":{"name":{"type":"string","maxLength":255,"description":"record name relative to the zone (e.g. www or sub1.sub2), '@' for the zone apex, '*' as wildcard label"},"type":{"type":"string","enum":["A","AAAA","CAA","CNAME","DS","MX","NS","OPENPGPKEY","SRV","SMIMEA","SSHFP","TLSA","TXT"]},"rdata":{"type":"string","maxLength":65535,"description":"record data in zone file format, validated according to the record type: A ipv4 address, AAAA ipv6 address, CNAME and NS hostname, MX \"priority hostname\", SRV \"priority weight port target\", TXT text, CAA \"flags tag \\\"value\\\"\", DS, SSHFP, TLSA, SMIMEA and OPENPGPKEY in their presentation format"},"ttl":{"type":"integer","minimum":1}}},"DnsRecordType":{"type":"object","properties":{"type":{"type":"array","items":{"description":"Untyped value"}}}},"Domain":{"type":"object","properties":{"id":{"type":"integer"},"fqdn":{"type":"string"},"isDnsManaged":{"type":"boolean"}}},"DomainAcmeChallenge":{"type":"object","properties":{"scope":{"type":"string"},"fqdn":{"type":"string"},"value":{"type":"string"},"status":{"type":"string"}}},"DomainDnsRecord":{"type":"object","properties":{"identifier":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"},"rdata":{"type":"string"},"ttl":{"type":["integer","null"]},"immutable":{"type":"boolean"}}},"DomainDnsRevision":{"type":"object","properties":{"identifier":{"type":"string"},"createdAt":{"type":"string"},"modifiedAt":{"type":"string"},"state":{"type":"string"},"serial":{"type":["integer","null"]}}},"ErrorResponse":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[false]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"type":"null","description":"Always null for this operation"}}},"Message":{"type":"object","properties":{"code":{"type":"string"},"message":{"type":"string"}}},"Meta":{"type":"object","properties":{"sort":{"$ref":"#\/components\/schemas\/Sort"},"pagination":{"$ref":"#\/components\/schemas\/Pagination"}}},"Pagination":{"type":"object","properties":{"page":{"type":"integer"},"perPage":{"type":"integer"},"totalEntries":{"type":"integer"},"previousPage":{"type":"integer"},"nextPage":{"type":"integer"},"lastPage":{"type":"integer"}}},"Sort":{"type":"object","properties":{"field":{"type":"string"},"direction":{"type":"string"}}}}},"paths":{"\/v1\/dns\/recordType":{"get":{"summary":"GET \/v1\/dns\/recordType","operationId":"NetcupApiV1DnsRecordTypeGetList","tags":["v1\/dns"],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DnsRecordType"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain":{"get":{"summary":"GET \/v1\/domain","operationId":"NetcupApiV1DomainGetList","tags":["v1\/domain"],"parameters":[{"name":"field","in":"query","required":false,"description":"Sort field","schema":{"type":"string","enum":["domainId","fqdn"]}},{"name":"direction","in":"query","required":false,"description":"Sort direction","schema":{"type":"string","enum":["asc","desc"]}},{"name":"page","in":"query","required":false,"description":"Page number","schema":{"type":"integer","minimum":1}},{"name":"perPage","in":"query","required":false,"description":"Entries per page","schema":{"type":"integer","minimum":1}},{"name":"fqdn","in":"query","required":false,"schema":{"type":"string","format":"hostname"}},{"name":"domainId","in":"query","required":false,"schema":{"type":"integer","minimum":1}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"$ref":"#\/components\/schemas\/Meta"},"result":{"type":"array","items":{"$ref":"#\/components\/schemas\/Domain"}}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/acme\/challenge":{"get":{"summary":"GET \/v1\/domain\/{domainId}\/acme\/challenge","operationId":"NetcupApiV1DomainAcmeGetList","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"type":"array","items":{"$ref":"#\/components\/schemas\/DomainAcmeChallenge"}}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}},"post":{"summary":"POST \/v1\/domain\/{domainId}\/acme\/challenge","operationId":"NetcupApiV1DomainAcmePost","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}}],"requestBody":{"required":true,"content":{"application\/json":{"schema":{"type":"object","required":["scope","value"],"properties":{"scope":{"type":"string","description":"'@' for the zone apex or a hostname label"},"value":{"type":"string","pattern":"^[A-Za-z0-9_-]{43}$"}}}}}},"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"type":"array","items":{"$ref":"#\/components\/schemas\/DomainAcmeChallenge"}}}}}}},"201":{"description":"Created","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"type":"array","items":{"$ref":"#\/components\/schemas\/DomainAcmeChallenge"}}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/acme\/challenge\/{scope}\/{value}":{"get":{"summary":"GET \/v1\/domain\/{domainId}\/acme\/challenge\/{scope}\/{value}","operationId":"NetcupApiV1DomainAcmeGetIdentifier","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"scope","in":"path","required":true,"schema":{"type":"string","description":"'@' for the zone apex or a hostname label"}},{"name":"value","in":"path","required":true,"schema":{"type":"string","pattern":"^[A-Za-z0-9_-]{43}$"}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"type":"array","items":{"$ref":"#\/components\/schemas\/DomainAcmeChallenge"}}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}},"delete":{"summary":"DELETE \/v1\/domain\/{domainId}\/acme\/challenge\/{scope}\/{value}","operationId":"NetcupApiV1DomainAcmeDelete","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"scope","in":"path","required":true,"schema":{"type":"string","description":"'@' for the zone apex or a hostname label"}},{"name":"value","in":"path","required":true,"schema":{"type":"string","pattern":"^[A-Za-z0-9_-]{43}$"}}],"security":[{"bearerAuth":[]}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/changeset":{"post":{"summary":"POST \/v1\/domain\/{domainId}\/changeset","operationId":"NetcupApiV1DomainChangeSetPost","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}}],"requestBody":{"required":true,"content":{"application\/json":{"schema":{"type":"object","required":["autoCommit","strict"],"properties":{"autoCommit":{"type":"boolean","description":"also accepts the strings 'true', 'false', '1' and '0'"},"strict":{"type":"boolean","description":"also accepts the strings 'true', 'false', '1' and '0'"},"create":{"type":["array","null"],"description":"list of records, may be omitted","items":{"$ref":"#\/components\/schemas\/DnsRecordInput"}},"delete":{"type":["array","null"],"description":"list of records, may be omitted","items":{"$ref":"#\/components\/schemas\/DnsRecordInput"}}}}}}},"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DomainDnsRevision"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/dns\/revision":{"get":{"summary":"GET \/v1\/domain\/{domainId}\/dns\/revision","operationId":"NetcupApiV1DomainDnsRevisionGetList","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"field","in":"query","required":false,"description":"Sort field","schema":{"type":"string"}},{"name":"direction","in":"query","required":false,"description":"Sort direction","schema":{"type":"string","enum":["asc","desc"]}},{"name":"page","in":"query","required":false,"description":"Page number","schema":{"type":"integer","minimum":1}},{"name":"perPage","in":"query","required":false,"description":"Entries per page","schema":{"type":"integer","minimum":1}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"$ref":"#\/components\/schemas\/Meta"},"result":{"type":"array","items":{"$ref":"#\/components\/schemas\/DomainDnsRevision"}}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}},"post":{"summary":"POST \/v1\/domain\/{domainId}\/dns\/revision","operationId":"NetcupApiV1DomainDnsRevisionPost","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DomainDnsRevision"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}":{"delete":{"summary":"DELETE \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}","operationId":"NetcupApiV1DomainDnsRevisionDelete","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"type":"null","description":"Always null for this operation"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}},"get":{"summary":"GET \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}","operationId":"NetcupApiV1DomainDnsRevisionGetIdentifier","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DomainDnsRevision"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/changeset":{"post":{"summary":"POST \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/changeset","operationId":"NetcupApiV1DomainDnsRevisionChangeSetPost","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application\/json":{"schema":{"type":"object","required":["autoCommit","strict"],"properties":{"autoCommit":{"type":"boolean","description":"also accepts the strings 'true', 'false', '1' and '0'"},"strict":{"type":"boolean","description":"also accepts the strings 'true', 'false', '1' and '0'"},"create":{"type":["array","null"],"description":"list of records, may be omitted","items":{"$ref":"#\/components\/schemas\/DnsRecordInput"}},"delete":{"type":["array","null"],"description":"list of records, may be omitted","items":{"$ref":"#\/components\/schemas\/DnsRecordInput"}}}}}}},"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DomainDnsRevision"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/commit":{"post":{"summary":"POST \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/commit","operationId":"NetcupApiV1DomainDnsRevisionCommitPost","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DomainDnsRevision"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/record":{"get":{"summary":"GET \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/record","operationId":"NetcupApiV1DomainDnsRevisionRecordGetList","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"$ref":"#\/components\/schemas\/Meta"},"result":{"type":"array","items":{"$ref":"#\/components\/schemas\/DomainDnsRecord"}}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}},"post":{"summary":"POST \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/record","operationId":"NetcupApiV1DomainDnsRevisionRecordPost","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application\/json":{"schema":{"type":"object","required":["name","type","rdata","ttl"],"properties":{"name":{"type":"string","maxLength":255,"description":"record name relative to the zone (e.g. www or sub1.sub2), '@' for the zone apex, '*' as wildcard label"},"type":{"type":"string","enum":["A","AAAA","CAA","CNAME","DS","MX","NS","OPENPGPKEY","SRV","SMIMEA","SSHFP","TLSA","TXT"]},"rdata":{"type":"string","maxLength":65535,"description":"record data in zone file format, validated according to the record type: A ipv4 address, AAAA ipv6 address, CNAME and NS hostname, MX \"priority hostname\", SRV \"priority weight port target\", TXT text, CAA \"flags tag \\\"value\\\"\", DS, SSHFP, TLSA, SMIMEA and OPENPGPKEY in their presentation format"},"ttl":{"type":"integer","minimum":1}}}}}},"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DomainDnsRecord"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}},"\/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/record\/{recordId}":{"delete":{"summary":"DELETE \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/record\/{recordId}","operationId":"NetcupApiV1DomainDnsRevisionRecordDelete","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"recordId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"type":"null","description":"Always null for this operation"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}},"get":{"summary":"GET \/v1\/domain\/{domainId}\/dns\/revision\/{revisionId}\/record\/{recordId}","operationId":"NetcupApiV1DomainDnsRevisionRecordGet","tags":["v1\/domain"],"parameters":[{"name":"domainId","in":"path","required":true,"schema":{"type":"integer","minimum":1}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"recordId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"security":[{"bearerAuth":[]}],"responses":{"200":{"description":"Ok","content":{"application\/json":{"schema":{"type":"object","required":["success","errors","messages","meta","result"],"properties":{"success":{"type":"boolean","enum":[true]},"errors":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"messages":{"type":"array","items":{"$ref":"#\/components\/schemas\/Message"}},"meta":{"type":"null","description":"Always null for this operation"},"result":{"$ref":"#\/components\/schemas\/DomainDnsRecord"}}}}}},"400":{"description":"Bad Request","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ErrorResponse"}}}}}}}}}